Subject: Problems w/your patch on win95
From: [email-masked] (Mikey)

29 May 1997 22:25:38 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: multipart/mixed; boundary="--=_338e1f7047909108aad679.MFSBCHJLHS"
Original-To: [email-masked]
Original-Cc: [email-masked]
X-Mailer: Forte Agent 1.01/32.397
Original-Sender: [email-masked]

----=_338e1f7047909108aad679.MFSBCHJLHS
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

Hi Sergey

Thanks VERY much for the solution to the ^M problem, it was driving me
CRAZY, I wonder why it didn't mess up on NT?

there are some other caps that need to be deleted for TERM=linux to
work correctly on win95, xon=xo ccc=cc xenl=xn initc=Ic.

corrects no down arrow, left arrow.

Where are the lib*.a files to go with the X dll's? (more useful that
way no? ;^)

Guess you are probably getting tired of hearing from me about problems
with win95 right? ;^)

First time I ran bash with your dll that I downloaded, it ate my
registry.

this was after running for a while with my patched version, so I
figured ok, version conflict, no problem, ERD fix me right up.

With your patched dll, run the attached shell script
install.ncurses.txt in the .../ncurses/      directory, on a win95
box, like this

../install.ncurses.txt 2>&1|tee /tmp/errors.txt

The first time I did this with your dll that I downloaded, I got a
exception 0E in VCACHE.VMM during the make. LOCKUP!!

Once you see "checking for ranlib", you can ^C out, try it at least
twice from the same console.

With the dll that I built  with your winsup.diff file ;^), you will
get a lockup from user.exe. No Idea why.

Tried the same thing with your patched dll from ftp. same result.
after ^C.

It ate my registry again, I couldn't send this the first time.
This quickly gets old.
I think everyone appreciates the amount of work you have put in on
improving gnu-win32, but just like with prebeta18, you or someone
needs to test this stuff on all the target platforms, BEFORE it gets
released, OK?

----=_338e1f7047909108aad679.MFSBCHJLHS
Content-Type: text/plain; charset=us-ascii; name=install.ncurses.txt
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename=install.ncurses.txt

#! /bin/sh
# you will need B18 cdk.exe and user-tools.exe from cygnus ;^)
# to just install and use as is 
# make sure your filesystems are mounted binary, use regedit for /
# cd /
# tar -vzxf .../gnu_win32_ncurses.tgz add the bin/ dir to your path, and 
# type sh install/doinst.sh;rm -fr install/ cp or mv the lib/terminfo
# directory to your $HOME/.terminfo and the etc/termcap file to $HOME/.termcap
# and you're done (if you know why you're doing this, you know if
# you need to or not ;^) 
#
# put this file in .../cdk/ncurses/ to remake from source
# 
# put the included bin/install-sh in .../cdk/install-sh, and /bin/install 
# handles .exe better & it's much faster
# cd .../H-i386-cygwin32/bin;ln -sf install.exe install-real
# put the included bin/ makepkg, and filesize in your path,
# and in the .../cdk/ncurses/ directory along with terminfo.dif
# .../cdk/ncurses/configure --help for all options
set -axv
SRC_DIR=`pwd`
mkdir -p /tmp/ncbin/usr/etc /tmp/tibin/usr/lib /tmp/tibin/usr/bin \
	/tmp/tibin/usr/etc /tmp/tibin/usr/man /tmp/ncobj/usr
# only include ansi xterm linux w32ansi w32linux and a few others
pushd /tmp/ncobj
[ -f config.status ] || $SRC_DIR/configure  -v --host=i386-cygwin32 --prefix=/usr --enable-getcap --with-debug=no # I only built normal libs 
make
(
cd $SRC_DIR/misc
patch -fp0 < ../terminfo.dif
[ -f terminfo.src.org ] || mv terminfo.src terminfo.src.org
head -n 1539 terminfo.src.org > terminfo.src
/tmp/ncobj/progs/tic.exe -C -RBSD terminfo.src > termcap
) 
make prefix=/tmp/ncbin/usr MFLAGS="prefix=/tmp/ncbin/usr" install
cd /tmp/ncbin/usr
gzip -rf man/*
strip --strip-unneeded lib/*.a
cp -a lib/terminfo ../../tibin/usr/lib/
cp $SRC_DIR/misc/termcap etc/
cp -a share etc ../../tibin/usr/
cp -a man/man1 ../../tibin/usr/man/
cd bin;rm reset captoinfo;ln -s tic.exe captoinfo
ln -s tset.exe reset;strip *.exe
cp $SRC_DIR/filesize $SRC_DIR/makepkg $SRC_DIR/../install-sh \
	 $SRC_DIR/install.ncurses.txt $SRC_DIR/terminfo.dif .
cp * ../../../tibin/usr/bin/
cd ../..
makepkg gnu_win32_ncurses.tgz <<EOF
y
EOF
mv gnu_win32_ncurses.tgz ..
cd ../tibin
makepkg gnu_win32_terminfo.tgz <<EOF
y
EOF
mv gnu_win32_terminfo.tgz ..
cd ..
if [ x$1 = x--cleanup ];then
	rm -fr /tmp/ncobj /tmp/tibin /tmp/ncbin
fi
# and your done. <wheew> ;^)

----=_338e1f7047909108aad679.MFSBCHJLHS
Content-Type: application/octet-stream; name=filesize
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=filesize

IyEvYmluL3NoCiMKIyBQcmludCB0aGUgc2l6ZSBvZiBhIGZpbGUsIGluIGJ5dGVzLgojClNJWkU9
YGxzIC1sIC1kIC1HICQxIHwgY3V0IC1iMjMtMzJgCmVjaG8gLW4gJFNJWkUK

----=_338e1f7047909108aad679.MFSBCHJLHS
Content-Type: application/octet-stream; name=makepkg
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=makepkg

----=_338e1f7047909108aad679.MFSBCHJLHS
Content-Type: application/octet-stream; name=terminfo.dif
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=terminfo.dif

YmlsaXRpZXMK

----=_338e1f7047909108aad679.MFSBCHJLHS--
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".